using System;
using System.IO;

public class Micro
{
  public static void Main(string[] args)
  {
    String src;

    if (args.Length != 1 || !(src = args[0]).EndsWith("mic"))
    {
      PrintHelp();
      return;
    }

    Scanner s = new Scanner(src);
    Parser p = new Parser(s);
    p.Parse();

    Console.WriteLine("{0} Errors found", p.errors.count);
  }

  private static void PrintHelp()
  {
    Console.WriteLine("Syntax: micc.exe <micro source file name>");
    Console.WriteLine();
    Console.WriteLine("Micro source file names must end with \".mic\".");
  }
}